Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-account-id
string<uuid>
required
x-workspace-id
string<uuid>
required

Query Parameters

key
string
required

The key of the object being uploaded.

upload_id
string
required

The ID of the multi-part upload.

part_no
integer
required

The part number of the upload.

content_type
string
required

The content type of the part being uploaded.

checksum
string
required

The checksum of the part being uploaded.

Response

200 - application/json

Successfully generated the signed URL.

Represents a signed URL for uploading an asset.

key
string

The unique key associated with the upload.

signed_url
string

The signed URL used for uploading the asset.